export default DeferredPromise;
declare class DeferredPromise {
    state: string;
    _promise: Promise<any>;
    resolve: (value: any) => void;
    reject: (reason: any) => void;
    then: <TResult1 = any, TResult2 = never>(onfulfilled?: ((value: any) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => Promise<TResult1 | TResult2>;
    catch: <TResult = never>(onrejected?: ((reason: any) => TResult | PromiseLike<TResult>) | null | undefined) => Promise<any>;
    finally: (onfinally?: (() => void) | null | undefined) => Promise<any>;
    "__@toStringTag": string;
}
